CLASS TEMPLA(3)

NAME
boost::property_tree::stream_translator - Implementation of Translator that uses the stream overloads.

SYNOPSIS

// In header: <boost/property_tree/stream_translator.hpp>
template<typename Ch, typename Traits, typename Alloc, typename E>
class stream_translator {
public:
  // types
  typedef std::basic_string< Ch, Traits, Alloc > internal_type;
  typedef E                                      external_type;
  // construct/copy/destruct
  stream_translator(std::locale = std::locale());
  // public member functions
  boost::optional< E > get_value(const internal_type &);
  boost::optional< internal_type > put_value(const E &);
};

DESCRIPTION

  stream_translator public construct/copy/destruct

    1.

    stream_translator(std::locale loc = std::locale());

  stream_translator public member functions

    1.

    boost::optional< E > get_value(const internal_type & v);

    2.

    boost::optional< internal_type > put_value(const E & v);